> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List credit transfers

> Returns a list of credit transfers for the specified credit line. Filterable by status and date range.



## OpenAPI

````yaml openapi/managed-payments.yaml get /v1/managedPayments/credit/lines/{lineId}/transfers
openapi: 3.0.2
info:
  version: ${version}
  title: Managed Payments API
  description: |
    The Managed Payments API enables Payment Service Providers (PSPs) to create
    and manage sub-client accounts for stablecoin settlement.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Managed Payments Accounts
    description: Create and manage sub-client accounts for Managed Payments PSPs.
  - name: Managed Payments Credit
    description: Get credit line details and wire instructions for repayment.
  - name: Managed Payments Credit Transfers
    description: Create and manage credit transfers (drawdowns) against a credit line.
paths:
  /v1/managedPayments/credit/lines/{lineId}/transfers:
    get:
      tags:
        - Managed Payments Credit Transfers
      summary: List credit transfers
      description: >-
        Returns a list of credit transfers for the specified credit line.
        Filterable by status and date range.
      operationId: listManagedPaymentsCreditTransfers
      parameters:
        - $ref: '#/components/parameters/LineIdPath'
        - $ref: '#/components/parameters/ManagedPaymentsCreditTransferStatus'
        - $ref: '#/components/parameters/From'
        - $ref: '#/components/parameters/To'
        - $ref: '#/components/parameters/PageBefore'
        - $ref: '#/components/parameters/PageAfter'
        - $ref: '#/components/parameters/PageSize'
        - name: receiveJobId
          description: Filters transfers by a specific receive job ID.
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successfully retrieved a list of credit transfers.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: ListManagedPaymentsCreditTransfersResponse
                properties:
                  data:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/ManagedPaymentsCreditTransferListItem
              example:
                data:
                  - id: 2cbbce57-17b2-4133-8f63-3f2d81fc3332
                    amount:
                      amount: '50.00'
                      currency: USD
                    status: disbursed
                    dueDate: '2026-03-18T14:34:16.945Z'
                    disbursedDate: '2026-03-11T14:34:16.945Z'
                    createDate: '2026-03-11T14:34:16.564923Z'
                    updateDate: '2026-03-11T14:34:17.136257Z'
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  parameters:
    LineIdPath:
      name: lineId
      description: Universally unique identifier (UUID v4) of the credit line.
      in: path
      required: true
      schema:
        type: string
        format: uuid
        example: 01c39206-64e9-4e30-8649-4e187cfcbf6d
    ManagedPaymentsCreditTransferStatus:
      name: status
      description: Filters transfers by their current status.
      in: query
      required: false
      schema:
        type: string
        enum:
          - funds_reserved
          - requested
          - rejected
          - disbursed
          - expired
          - canceled
          - closed
          - paid
          - past_due
    From:
      name: from
      description: Queries items created since the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    To:
      name: to
      description: Queries items created before the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    PageBefore:
      name: pageBefore
      description: >
        A collection ID value used for pagination.


        It marks the exclusive end of a page. When provided, the collection
        resource will return the next `n` items before

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageAfter.
      in: query
      required: false
      schema:
        type: string
    PageAfter:
      name: pageAfter
      description: >
        A collection ID value used for pagination.


        It marks the exclusive begin of a page. When provided, the collection
        resource will return the next `n` items after

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageBefore.
      in: query
      required: false
      schema:
        type: string
    PageSize:
      name: pageSize
      description: >
        Limits the number of items to be returned.


        Some collections have a strict upper bound that will disregard this
        value. In case the specified value is higher

        than the allowed limit, the collection limit will be used.


        If avoided, the collection will determine the page size itself.
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        example: 5
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    ManagedPaymentsCreditTransferListItem:
      type: object
      description: >-
        A Managed Payments credit transfer as returned in list responses. Does
        not include outstanding property.
      required:
        - id
        - amount
        - status
        - createDate
        - updateDate
      properties:
        id:
          description: Unique identifier of the transfer.
          type: string
          format: uuid
          example: 2cbbce57-17b2-4133-8f63-3f2d81fc3332
        amount:
          allOf:
            - $ref: '#/components/schemas/FiatMoneyUsd'
            - description: The transfer amount.
        status:
          description: Current status of the transfer.
          type: string
          enum:
            - funds_reserved
            - requested
            - rejected
            - disbursed
            - expired
            - canceled
            - closed
            - paid
            - past_due
          example: disbursed
        dueDate:
          allOf:
            - $ref: '#/components/schemas/UtcTimestamp'
            - description: >-
                ISO-8601 UTC date/time when the transfer repayment is due.
                Present when status is `disbursed`, `paid`, or `past_due`.
        disbursedDate:
          allOf:
            - $ref: '#/components/schemas/UtcTimestamp'
            - description: >-
                ISO-8601 UTC date/time when the transfer was disbursed. Present
                when status is `disbursed`, `paid`, or `past_due`.
        paidDate:
          allOf:
            - $ref: '#/components/schemas/UtcTimestamp'
            - description: >-
                ISO-8601 UTC date/time when the transfer was fully repaid.
                Present only when status is `paid`.
        createDate:
          allOf:
            - $ref: '#/components/schemas/UtcTimestamp'
            - description: ISO-8601 UTC date/time when the transfer was created.
        updateDate:
          allOf:
            - $ref: '#/components/schemas/UtcTimestamp'
            - description: ISO-8601 UTC date/time when the transfer was last updated.
    FiatMoneyUsd:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          description: Currency code.
          type: string
          enum:
            - USD
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    Forbidden:
      description: >-
        The request provides authentication, but the authenticated user does not
        possess sufficient permissions for accessing this resource.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: Forbidden
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 3
              message: Forbidden
          examples:
            response:
              value:
                code: 3
                message: Forbidden
    NotFound:
      description: The specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotFound
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 404
              message: Not found.
          examples:
            response:
              value:
                code: 404
                message: Not found.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````